Skip to content
Docs

Create a Secure Compute network

POSThttps://api.vercel.com/v1/connect/networks
Allows to create a Secure Compute network.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.networking.createNetwork({
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
requestBody: {
awsAvailabilityZoneIds: [
"use1-az1",
],
cidr: "192.168.0.0/16",
name: "<value>",
region: "iad1",
},
});
console.log(result);
}
run();
Response
{
"awsAccountId": "example_id",
"awsAvailabilityZoneIds": [],
"awsRegion": "string",
"cidr": "example_id",
"createdAt": "123",
"egressIpAddresses": [],
"hostedZones": {
"count": "123"
},
"id": "icfg_1234567890",
"name": "Example Name",
"peeringConnections": {
"count": "123"
},
"projects": {
"count": "123",
"ids": []
},
"region": "string",
"status": "create_in_progress",
"teamId": "example_id",
"vpcId": "example_id"
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
awsAvailabilityZoneIdsarrayOptional
cidrstringRequired
The CIDR block of the network
namestringRequired
The name of the network
regionstringRequired
The region where the network will be created
201Success
awsAccountIdstringRequired
The ID of the AWS Account in which the network exists.
awsAvailabilityZoneIdsarrayOptional
The IDs of the AWS Availability Zones in which the network exists, if specified during creation.
awsRegionstringRequired
The AWS Region in which the network exists.
cidrstringRequired
The CIDR range of the Network.
createdAtnumberRequired
The date at which the Network was created, represented as a UNIX timestamp since EPOCH.
egressIpAddressesarrayOptional
hostedZonesobjectOptional
Metadata about any AWS Route53 Hosted Zones associated with the Network.
idstringRequired
The unique identifier of the Network.
namestringRequired
The name of the network.
peeringConnectionsobjectOptional
Metadata about any AWS Route53 Hosted Zones associated with the Network.
projectsobjectOptional
Metadata about any projects associated with the Network.
regionstringOptional
The Vercel region in which the Network exists.
statusstringRequired
The status of the Network.
teamIdstringRequired
The unique identifier of the Team that owns the Network.
vpcIdstringOptional
The ID of the VPC which hosts the network.
400One of the provided values in the request body is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error